Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameterGenerator

    java.lang.Object
      java.security.AlgorithmParameterGeneratorSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator

Direct Known Subclasses:
  AES.AlgParamGen, Camellia.AlgParamGen, CAST5.AlgParamGen, IDEA.AlgParamGen, JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.GOST3410, JDKAlgorithmParameterGenerator.RC2, Noekeon.AlgParamGen, SEED.AlgParamGen

    public abstract class JDKAlgorithmParameterGenerator

extends java.security.AlgorithmParameterGeneratorSpi

Nested Class Summary
`static class` | `JDKAlgorithmParameterGenerator.DES`
`static class` | `JDKAlgorithmParameterGenerator.DH`
`static class` | `JDKAlgorithmParameterGenerator.DSA`
`static class` | `JDKAlgorithmParameterGenerator.ElGamal`
`static class` | `JDKAlgorithmParameterGenerator.GOST3410`
`static class` | `JDKAlgorithmParameterGenerator.RC2`

Field Summary
`protected java.security.SecureRandom` | `random`
`protected int` | `strength`

Constructor Summary
`JDKAlgorithmParameterGenerator()`

Method Summary
`protected void` | `engineInit(int strength, java.security.SecureRandom random)`

Methods inherited from class java.security.AlgorithmParameterGeneratorSpi
`engineGenerateParameters, engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected java.security.SecureRandom random

### strength

    protected int strength

Constructor Detail

### JDKAlgorithmParameterGenerator

    public JDKAlgorithmParameterGenerator()

Method Detail

### engineInit

    protected void engineInit(int strength,
                              java.security.SecureRandom random)

  Specified by:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD